% Characteristics of Requirements and Designs Quality

While quality is ultimately determined by the needs of the stakeholders who will use the requirements or the designs, acceptable quality requirements exhibit many of the following characteristics:

* __Atomic__: self-contained and capable of being understood independently of other requirements or designs.
* __Complete__: enough to guide further work and at the appropriate level of detail for work to continue. The level of completeness required differs based on perspective or methodology, as well as the point in the life cycle where the requirement is being examined or represented.
* __Consistent__: aligned with the identified needs of the stakeholders and not conflicting with other requirements.
* __Concise__: contains no extraneous and unnecessary content.
* __Feasible__: reasonable and possible within the agreed-upon risk, schedule, and budget, or considered feasible enough to investigate further through experiments or prototypes.
* __Unambiguous__: the requirement must be clearly stated in such a way to make it clear whether a solution does or does not meet the associated need.
* __Testable__: able to verify that the requirement or design has been fulfilled. Acceptable levels of verifying fulfillment depend on the level of abstraction of the requirement or design.
* __Prioritized__: ranked, grouped, or negotiated in terms of importance and value against all other requirements.
* __Understandable__: represented using common terminology of the audience.
